diff --git a/android/guava-tests/test/com/google/common/collect/ImmutableSetMultimapTest.java b/android/guava-tests/test/com/google/common/collect/ImmutableSetMultimapTest.java
index 33d4ec1..907f23e 100644
--- a/android/guava-tests/test/com/google/common/collect/ImmutableSetMultimapTest.java
+++ b/android/guava-tests/test/com/google/common/collect/ImmutableSetMultimapTest.java
@@ -21,9 +21,6 @@ import static com.google.common.collect.testing.features.CollectionFeature.SERIA
 import static com.google.common.collect.testing.features.MapFeature.ALLOWS_ANY_NULL_QUERIES;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableSetMultimap.Builder;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.google.SetMultimapTestSuiteBuilder;
 import com.google.common.collect.testing.google.TestStringSetMultimapGenerator;
@@ -44,7 +41,6 @@ import junit.framework.TestSuite;
  *
  * @author Mike Ward
  */
-@GwtCompatible(emulated = true)
 public class ImmutableSetMultimapTest extends TestCase {
   private static final class ImmutableSetMultimapGenerator extends TestStringSetMultimapGenerator {
     @Override
@@ -65,7 +61,7 @@ public class ImmutableSetMultimapTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTestSuite(ImmutableSetMultimapTest.class);
@@ -548,7 +544,7 @@ public class ImmutableSetMultimapTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSerialization() {
     Multimap<String, Integer> multimap = createMultimap();
     SerializableTester.reserializeAndAssert(multimap);
@@ -561,13 +557,13 @@ public class ImmutableSetMultimapTest extends TestCase {
     assertEquals(HashMultiset.create(multimap.values()), HashMultiset.create(valuesCopy));
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testEmptySerialization() {
     Multimap<String, Integer> multimap = ImmutableSetMultimap.of();
     assertSame(multimap, SerializableTester.reserialize(multimap));
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSortedSerialization() {
     Multimap<String, Integer> multimap =
         new ImmutableSetMultimap.Builder<String, Integer>()
@@ -594,7 +590,7 @@ public class ImmutableSetMultimapTest extends TestCase {
         .build();
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testNulls() throws Exception {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(ImmutableSetMultimap.class);
diff --git a/android/guava-tests/test/com/google/common/collect/ImmutableSetTest.java b/android/guava-tests/test/com/google/common/collect/ImmutableSetTest.java
index 2ddd1ee..1c9078c 100644
--- a/android/guava-tests/test/com/google/common/collect/ImmutableSetTest.java
+++ b/android/guava-tests/test/com/google/common/collect/ImmutableSetTest.java
@@ -18,21 +18,10 @@ package com.google.common.collect;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableSet.Builder;
 import com.google.common.collect.testing.ListTestSuiteBuilder;
 import com.google.common.collect.testing.SetTestSuiteBuilder;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
-import com.google.common.collect.testing.google.SetGenerators.DegeneratedImmutableSetGenerator;
-import com.google.common.collect.testing.google.SetGenerators.ImmutableSetAsListGenerator;
-import com.google.common.collect.testing.google.SetGenerators.ImmutableSetCopyOfGenerator;
-import com.google.common.collect.testing.google.SetGenerators.ImmutableSetSizedBuilderGenerator;
-import com.google.common.collect.testing.google.SetGenerators.ImmutableSetTooBigBuilderGenerator;
-import com.google.common.collect.testing.google.SetGenerators.ImmutableSetTooSmallBuilderGenerator;
-import com.google.common.collect.testing.google.SetGenerators.ImmutableSetUnsizedBuilderGenerator;
-import com.google.common.collect.testing.google.SetGenerators.ImmutableSetWithBadHashesGenerator;
 import com.google.common.testing.EqualsTester;
 import java.util.Collection;
 import java.util.Collections;
@@ -48,10 +37,9 @@ import junit.framework.TestSuite;
  * @author Jared Levy
  * @author Nick Kralevich
  */
-@GwtCompatible(emulated = true)
 public class ImmutableSetTest extends AbstractImmutableSetTest {
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
 
@@ -217,7 +205,6 @@ public class ImmutableSetTest extends AbstractImmutableSetTest {
     assertThat(set).containsExactly("a", "b", "c").inOrder();
   }
 
-  @GwtIncompatible("Builder impl")
   public void testBuilderForceCopy() {
     ImmutableSet.Builder<Integer> builder = ImmutableSet.builder();
     builder.add(-1);
@@ -230,7 +217,6 @@ public class ImmutableSetTest extends AbstractImmutableSetTest {
     }
   }
 
-  @GwtIncompatible("Builder impl")
   public void testPresizedBuilderDedups() {
     ImmutableSet.Builder<String> builder = ImmutableSet.builderWithExpectedSize(4);
     builder.add("a");
@@ -244,7 +230,6 @@ public class ImmutableSetTest extends AbstractImmutableSetTest {
     assertSame(table, ((RegularImmutableSet<String>) builder.build()).table);
   }
 
-  @GwtIncompatible("Builder impl")
   public void testPresizedBuilderForceCopy() {
     for (int expectedSize = 1; expectedSize < 4; expectedSize++) {
       ImmutableSet.Builder<Integer> builder = ImmutableSet.builderWithExpectedSize(expectedSize);
@@ -266,7 +251,7 @@ public class ImmutableSetTest extends AbstractImmutableSetTest {
     assertEquals(Collections.singleton(array), set);
   }
 
-  @GwtIncompatible // ImmutableSet.chooseTableSize
+  // ImmutableSet.chooseTableSize
   public void testChooseTableSize() {
     assertEquals(8, ImmutableSet.chooseTableSize(3));
     assertEquals(8, ImmutableSet.chooseTableSize(4));
@@ -286,7 +271,7 @@ public class ImmutableSetTest extends AbstractImmutableSetTest {
     }
   }
 
-  @GwtIncompatible // RegularImmutableSet.table not in emulation
+  // RegularImmutableSet.table not in emulation
   public void testResizeTable() {
     verifyTableSize(100, 2, 4);
     verifyTableSize(100, 5, 8);
@@ -301,7 +286,7 @@ public class ImmutableSetTest extends AbstractImmutableSetTest {
     verifyTableSize(17, 15, 32);
   }
 
-  @GwtIncompatible // RegularImmutableSet.table not in emulation
+  // RegularImmutableSet.table not in emulation
   private void verifyTableSize(int inputSize, int setSize, int tableSize) {
     Builder<Integer> builder = ImmutableSet.builder();
     for (int i = 0; i < inputSize; i++) {
@@ -329,7 +314,7 @@ public class ImmutableSetTest extends AbstractImmutableSetTest {
     assertThat(set).containsExactly("a", "b", "c", "d").inOrder();
   }
 
-  @GwtIncompatible // GWT is single threaded
+  // GWT is single threaded
   public void testCopyOf_threadSafe() {
     verifyThreadSafe();
   }
@@ -352,7 +337,6 @@ public class ImmutableSetTest extends AbstractImmutableSetTest {
         .testEquals();
   }
 
-  @GwtIncompatible("internals")
   public void testControlsArraySize() {
     ImmutableSet.Builder<String> builder = new ImmutableSet.Builder<String>();
     for (int i = 0; i < 10; i++) {
@@ -363,7 +347,6 @@ public class ImmutableSetTest extends AbstractImmutableSetTest {
     assertTrue(set.elements.length <= 2 * set.size());
   }
 
-  @GwtIncompatible("internals")
   public void testReusedBuilder() {
     ImmutableSet.Builder<String> builder = new ImmutableSet.Builder<String>();
     for (int i = 0; i < 10; i++) {
diff --git a/android/guava-tests/test/com/google/common/collect/ImmutableSortedMapTest.java b/android/guava-tests/test/com/google/common/collect/ImmutableSortedMapTest.java
index 850a8e7..a353a51 100644
--- a/android/guava-tests/test/com/google/common/collect/ImmutableSortedMapTest.java
+++ b/android/guava-tests/test/com/google/common/collect/ImmutableSortedMapTest.java
@@ -18,10 +18,7 @@ package com.google.common.collect;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Joiner;
-import com.google.common.collect.ImmutableSortedMap.Builder;
 import com.google.common.collect.testing.ListTestSuiteBuilder;
 import com.google.common.collect.testing.MapTestSuiteBuilder;
 import com.google.common.collect.testing.NavigableMapTestSuiteBuilder;
@@ -29,11 +26,6 @@ import com.google.common.collect.testing.SortedMapInterfaceTest;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.MapFeature;
-import com.google.common.collect.testing.google.SortedMapGenerators.ImmutableSortedMapCopyOfEntriesGenerator;
-import com.google.common.collect.testing.google.SortedMapGenerators.ImmutableSortedMapEntryListGenerator;
-import com.google.common.collect.testing.google.SortedMapGenerators.ImmutableSortedMapGenerator;
-import com.google.common.collect.testing.google.SortedMapGenerators.ImmutableSortedMapKeyListGenerator;
-import com.google.common.collect.testing.google.SortedMapGenerators.ImmutableSortedMapValueListGenerator;
 import com.google.common.testing.NullPointerTester;
 import com.google.common.testing.SerializableTester;
 import java.io.Serializable;
@@ -55,11 +47,10 @@ import junit.framework.TestSuite;
  * @author Jesse Wilson
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class ImmutableSortedMapTest extends TestCase {
   // TODO: Avoid duplicating code in ImmutableMapTest
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
     suite.addTestSuite(ImmutableSortedMapTest.class);
@@ -186,7 +177,7 @@ public class ImmutableSortedMapTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public static class ReserializedMapTests extends AbstractMapTests<String, Integer> {
     @Override
     protected SortedMap<String, Integer> makePopulatedMap() {
@@ -830,7 +821,7 @@ public class ImmutableSortedMapTest extends TestCase {
     assertNull(map.get(null));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(ImmutableSortedMap.class);
@@ -914,7 +905,7 @@ public class ImmutableSortedMapTest extends TestCase {
     assertEquals(intMap.hashCode(), map.hashCode());
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testViewSerialization() {
     Map<String, Integer> map = ImmutableSortedMap.of("one", 1, "two", 2, "three", 3);
     SerializableTester.reserializeAndAssert(map.entrySet());
diff --git a/android/guava-tests/test/com/google/common/collect/ImmutableSortedMultisetTest.java b/android/guava-tests/test/com/google/common/collect/ImmutableSortedMultisetTest.java
index cda23dd..30826e9 100644
--- a/android/guava-tests/test/com/google/common/collect/ImmutableSortedMultisetTest.java
+++ b/android/guava-tests/test/com/google/common/collect/ImmutableSortedMultisetTest.java
@@ -19,7 +19,6 @@ import static com.google.common.truth.Truth.assertThat;
 import static java.util.Arrays.asList;
 
 import com.google.common.base.Function;
-import com.google.common.collect.ImmutableSortedMultiset.Builder;
 import com.google.common.collect.testing.ListTestSuiteBuilder;
 import com.google.common.collect.testing.MinimalCollection;
 import com.google.common.collect.testing.TestStringListGenerator;
diff --git a/android/guava-tests/test/com/google/common/collect/ImmutableSortedSetTest.java b/android/guava-tests/test/com/google/common/collect/ImmutableSortedSetTest.java
index ea0e3a8..e6f3ab3 100644
--- a/android/guava-tests/test/com/google/common/collect/ImmutableSortedSetTest.java
+++ b/android/guava-tests/test/com/google/common/collect/ImmutableSortedSetTest.java
@@ -19,21 +19,10 @@ package com.google.common.collect;
 import static com.google.common.truth.Truth.assertThat;
 import static java.util.Arrays.asList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.ListTestSuiteBuilder;
 import com.google.common.collect.testing.NavigableSetTestSuiteBuilder;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
-import com.google.common.collect.testing.google.SetGenerators.ImmutableSortedSetAsListGenerator;
-import com.google.common.collect.testing.google.SetGenerators.ImmutableSortedSetCopyOfGenerator;
-import com.google.common.collect.testing.google.SetGenerators.ImmutableSortedSetDescendingAsListGenerator;
-import com.google.common.collect.testing.google.SetGenerators.ImmutableSortedSetDescendingGenerator;
-import com.google.common.collect.testing.google.SetGenerators.ImmutableSortedSetExplicitComparator;
-import com.google.common.collect.testing.google.SetGenerators.ImmutableSortedSetExplicitSuperclassComparatorGenerator;
-import com.google.common.collect.testing.google.SetGenerators.ImmutableSortedSetReversedOrderGenerator;
-import com.google.common.collect.testing.google.SetGenerators.ImmutableSortedSetSubsetAsListGenerator;
-import com.google.common.collect.testing.google.SetGenerators.ImmutableSortedSetUnhashableGenerator;
 import com.google.common.collect.testing.testers.SetHashCodeTester;
 import com.google.common.testing.NullPointerTester;
 import com.google.common.testing.SerializableTester;
@@ -54,10 +43,9 @@ import junit.framework.TestSuite;
  *
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class ImmutableSortedSetTest extends AbstractImmutableSetTest {
 
-  @GwtIncompatible // suite
+  // suite
   public static Test suite() {
     TestSuite suite = new TestSuite();
 
@@ -229,7 +217,7 @@ public class ImmutableSortedSetTest extends AbstractImmutableSetTest {
     return ImmutableSortedSet.copyOf(elements);
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointers() {
     new NullPointerTester().testAllPublicStaticMethods(ImmutableSortedSet.class);
   }
@@ -272,7 +260,7 @@ public class ImmutableSortedSetTest extends AbstractImmutableSetTest {
     }
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testEmpty_serialization() {
     SortedSet<String> set = of();
     SortedSet<String> copy = SerializableTester.reserialize(set);
@@ -320,7 +308,7 @@ public class ImmutableSortedSetTest extends AbstractImmutableSetTest {
     assertEquals("e", set.last());
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testSingle_serialization() {
     SortedSet<String> set = of("e");
     SortedSet<String> copy = SerializableTester.reserializeAndAssert(set);
@@ -419,7 +407,7 @@ public class ImmutableSortedSetTest extends AbstractImmutableSetTest {
     }
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testOf_subSetSerialization() {
     SortedSet<String> set = of("e", "f", "b", "d", "c");
     SerializableTester.reserializeAndAssert(set.subSet("c", "e"));
@@ -435,7 +423,7 @@ public class ImmutableSortedSetTest extends AbstractImmutableSetTest {
     assertEquals("f", set.last());
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testOf_serialization() {
     SortedSet<String> set = of("e", "f", "b", "d", "c");
     SortedSet<String> copy = SerializableTester.reserializeAndAssert(set);
@@ -556,7 +544,7 @@ public class ImmutableSortedSetTest extends AbstractImmutableSetTest {
     assertEquals("jumped", set.last());
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testExplicitEmpty_serialization() {
     SortedSet<String> set = ImmutableSortedSet.orderedBy(STRING_LENGTH).build();
     SortedSet<String> copy = SerializableTester.reserializeAndAssert(set);
@@ -565,7 +553,7 @@ public class ImmutableSortedSetTest extends AbstractImmutableSetTest {
     assertSame(set.comparator(), copy.comparator());
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testExplicit_serialization() {
     SortedSet<String> set =
         ImmutableSortedSet.orderedBy(STRING_LENGTH)
@@ -814,7 +802,7 @@ public class ImmutableSortedSetTest extends AbstractImmutableSetTest {
     assertFalse(set.containsAll(Sets.newTreeSet(asList("f", "d", "a"))));
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testDifferentComparator_serialization() {
     // don't use Collections.reverseOrder(); it didn't reserialize to the same instance in JDK5
     Comparator<Comparable<?>> comparator = Ordering.natural().reverse();
@@ -931,7 +919,7 @@ public class ImmutableSortedSetTest extends AbstractImmutableSetTest {
     assertSame(list, ImmutableList.copyOf(set));
   }
 
-  @GwtIncompatible // SerializableTester, ImmutableSortedAsList
+  // SerializableTester, ImmutableSortedAsList
   public void testAsListReturnTypeAndSerialization() {
     ImmutableSet<String> set = ImmutableSortedSet.of("a", "e", "i", "o", "u");
     ImmutableList<String> list = set.asList();
@@ -946,7 +934,7 @@ public class ImmutableSortedSetTest extends AbstractImmutableSetTest {
     assertEquals(list, ImmutableList.copyOf(set));
   }
 
-  @GwtIncompatible // SerializableTester, ImmutableSortedAsList
+  // SerializableTester, ImmutableSortedAsList
   public void testSubsetAsListReturnTypeAndSerialization() {
     ImmutableSet<String> set = ImmutableSortedSet.of("a", "e", "i", "o", "u").subSet("c", "r");
     ImmutableList<String> list = set.asList();
@@ -1154,7 +1142,6 @@ public class ImmutableSortedSetTest extends AbstractImmutableSetTest {
     assertThat(reverse).isNotNull();
   }
 
-  @GwtIncompatible("internals")
   public void testControlsArraySize() {
     ImmutableSet.Builder<String> builder = ImmutableSortedSet.naturalOrder();
     for (int i = 0; i < 10; i++) {
@@ -1166,7 +1153,6 @@ public class ImmutableSortedSetTest extends AbstractImmutableSetTest {
     assertTrue(list.array.length <= 2 * set.size());
   }
 
-  @GwtIncompatible("internals")
   public void testReusedBuilder() {
     ImmutableSortedSet.Builder<String> builder = ImmutableSortedSet.naturalOrder();
     for (int i = 0; i < 10; i++) {
diff --git a/android/guava-tests/test/com/google/common/collect/ImmutableTableTest.java b/android/guava-tests/test/com/google/common/collect/ImmutableTableTest.java
index 9bdc99c..d18da04 100644
--- a/android/guava-tests/test/com/google/common/collect/ImmutableTableTest.java
+++ b/android/guava-tests/test/com/google/common/collect/ImmutableTableTest.java
@@ -18,8 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.testing.SerializableTester;
 
 /**
@@ -27,7 +25,6 @@ import com.google.common.testing.SerializableTester;
  *
  * @author Gregory Kick
  */
-@GwtCompatible(emulated = true)
 public class ImmutableTableTest extends AbstractTableReadTest {
   @Override
   protected Table<String, Integer, Character> create(Object... data) {
@@ -468,7 +465,7 @@ public class ImmutableTableTest extends AbstractTableReadTest {
     assertThat(copy.columnKeySet()).containsExactlyElementsIn(original.columnKeySet()).inOrder();
   }
 
-  @GwtIncompatible // Mind-bogglingly slow in GWT
+  // Mind-bogglingly slow in GWT
   @AndroidIncompatible // slow
   public void testOverflowCondition() {
     // See https://code.google.com/p/guava-libraries/issues/detail?id=1322 for details.
diff --git a/android/guava-tests/test/com/google/common/collect/InternersTest.java b/android/guava-tests/test/com/google/common/collect/InternersTest.java
index cfa14b8..4d1d88a 100644
--- a/android/guava-tests/test/com/google/common/collect/InternersTest.java
+++ b/android/guava-tests/test/com/google/common/collect/InternersTest.java
@@ -21,7 +21,6 @@ import com.google.common.collect.Interners.InternerImpl;
 import com.google.common.collect.MapMakerInternalMap.Strength;
 import com.google.common.testing.GcFinalization;
 import com.google.common.testing.NullPointerTester;
-import java.lang.ref.WeakReference;
 import junit.framework.TestCase;
 
 /**
diff --git a/android/guava-tests/test/com/google/common/collect/IterablesTest.java b/android/guava-tests/test/com/google/common/collect/IterablesTest.java
index 4177210..b2665f6 100644
--- a/android/guava-tests/test/com/google/common/collect/IterablesTest.java
+++ b/android/guava-tests/test/com/google/common/collect/IterablesTest.java
@@ -25,8 +25,6 @@ import static com.google.common.truth.Truth.assertThat;
 import static java.util.Arrays.asList;
 import static java.util.Collections.emptyList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Function;
 import com.google.common.base.Predicate;
 import com.google.common.base.Predicates;
@@ -54,7 +52,6 @@ import junit.framework.TestCase;
  * @author Kevin Bourrillion
  * @author Jared Levy
  */
-@GwtCompatible(emulated = true)
 public class IterablesTest extends TestCase {
 
   public void testSize0() {
@@ -188,21 +185,21 @@ public class IterablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // Iterables.toArray(Iterable, Class)
+  // Iterables.toArray(Iterable, Class)
   public void testToArrayEmpty() {
     Iterable<String> iterable = Collections.emptyList();
     String[] array = Iterables.toArray(iterable, String.class);
     assertTrue(Arrays.equals(new String[0], array));
   }
 
-  @GwtIncompatible // Iterables.toArray(Iterable, Class)
+  // Iterables.toArray(Iterable, Class)
   public void testToArraySingleton() {
     Iterable<String> iterable = Collections.singletonList("a");
     String[] array = Iterables.toArray(iterable, String.class);
     assertTrue(Arrays.equals(new String[] {"a"}, array));
   }
 
-  @GwtIncompatible // Iterables.toArray(Iterable, Class)
+  // Iterables.toArray(Iterable, Class)
   public void testToArray() {
     String[] sourceArray = new String[] {"a", "b", "c"};
     Iterable<String> iterable = asList(sourceArray);
@@ -270,7 +267,7 @@ public class IterablesTest extends TestCase {
 
   private static class HasBoth extends TypeA implements TypeB {}
 
-  @GwtIncompatible // Iterables.filter(Iterable, Class)
+  // Iterables.filter(Iterable, Class)
   public void testFilterByType_iterator() throws Exception {
     HasBoth hasBoth = new HasBoth();
     Iterable<TypeA> alist = Lists.newArrayList(new TypeA(), new TypeA(), hasBoth, new TypeA());
@@ -452,7 +449,7 @@ public class IterablesTest extends TestCase {
     assertEquals(ImmutableList.of(3, 4), first);
   }
 
-  @GwtIncompatible // ?
+  // ?
   // TODO: Figure out why this is failing in GWT.
   public void testPartitionRandomAccessInput() {
     Iterable<Integer> source = asList(1, 2, 3);
@@ -462,7 +459,7 @@ public class IterablesTest extends TestCase {
     assertTrue(iterator.next() instanceof RandomAccess);
   }
 
-  @GwtIncompatible // ?
+  // ?
   // TODO: Figure out why this is failing in GWT.
   public void testPartitionNonRandomAccessInput() {
     Iterable<Integer> source = Lists.newLinkedList(asList(1, 2, 3));
@@ -513,7 +510,7 @@ public class IterablesTest extends TestCase {
     for (@SuppressWarnings("unused") Object obj : iterable) {}
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNullPointerExceptions() {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicStaticMethods(Iterables.class);
@@ -650,7 +647,7 @@ public class IterablesTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // slow (~35s)
+  // slow (~35s)
   public void testSkip_iterator() {
     new IteratorTester<Integer>(
         5, MODIFIABLE, newArrayList(2, 3), IteratorTester.KnownOrder.KNOWN_ORDER) {
@@ -661,7 +658,7 @@ public class IterablesTest extends TestCase {
     }.test();
   }
 
-  @GwtIncompatible // slow (~35s)
+  // slow (~35s)
   public void testSkip_iteratorList() {
     new IteratorTester<Integer>(
         5, MODIFIABLE, newArrayList(2, 3), IteratorTester.KnownOrder.KNOWN_ORDER) {
@@ -1204,7 +1201,7 @@ public class IterablesTest extends TestCase {
     assertFalse(consumingIterator.hasNext());
   }
 
-  @GwtIncompatible // ?
+  // ?
   // TODO: Figure out why this is failing in GWT.
   public void testConsumingIterable_duelingIterators() {
     // Test data
@@ -1395,7 +1392,7 @@ public class IterablesTest extends TestCase {
     verifyMergeSorted(iterables, allIntegers);
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public void testIterables_nullCheck() throws Exception {
     new ClassSanityTester()
         .forAllPublicStaticMethods(Iterables.class)
